## org.biojava.naming
Class ObdaContext

    java.lang.Object
      org.biojava.naming.ObdaContext

All Implemented Interfaces:
  javax.naming.Context, javax.naming.directory.DirContext

    public class ObdaContext

extends java.lang.Object
implements javax.naming.directory.DirContext

Author:
  Matthew Pocock

Field Summary

Fields inherited from interface javax.naming.directory.DirContext
`ADD_ATTRIBUTE, REMOVE_ATTRIBUTE, REPLACE_ATTRIBUTE`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Method Summary
`java.lang.Object` `addToEnvironment(java.lang.String propName, java.lang.Object propVal)`
`void` `bind(javax.naming.Name name, java.lang.Object obj)`
`void` `bind(javax.naming.Name name, java.lang.Object obj, javax.naming.directory.Attributes attrs)`
`void` `bind(java.lang.String name, java.lang.Object obj)`
`void` `bind(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs)`
`void` `close()`
`javax.naming.Name` `composeName(javax.naming.Name name, javax.naming.Name prefix)`
`java.lang.String` `composeName(java.lang.String name, java.lang.String prefix)`
`javax.naming.Context` `createSubcontext(javax.naming.Name name)`
`javax.naming.directory.DirContext` `createSubcontext(javax.naming.Name name, javax.naming.directory.Attributes attrs)`
`javax.naming.Context` `createSubcontext(java.lang.String name)`
`javax.naming.directory.DirContext` `createSubcontext(java.lang.String name, javax.naming.directory.Attributes attrs)`
`void` `destroySubcontext(javax.naming.Name name)`
`void` `destroySubcontext(java.lang.String name)`
`javax.naming.directory.Attributes` `getAttributes(javax.naming.Name name)`
`javax.naming.directory.Attributes` `getAttributes(javax.naming.Name name, java.lang.String[] attrIds)`
`javax.naming.directory.Attributes` `getAttributes(java.lang.String name)`
`javax.naming.directory.Attributes` `getAttributes(java.lang.String name, java.lang.String[] attrIds)`
`java.util.Hashtable` `getEnvironment()`
`protected javax.naming.Name` `getMyComponents(javax.naming.Name name)`
`java.lang.String` `getNameInNamespace()`
`javax.naming.NameParser` `getNameParser(javax.naming.Name name)`
`javax.naming.NameParser` `getNameParser(java.lang.String name)`
`javax.naming.directory.DirContext` `getSchema(javax.naming.Name name)`
`javax.naming.directory.DirContext` `getSchema(java.lang.String name)`
`javax.naming.directory.DirContext` `getSchemaClassDefinition(javax.naming.Name name)`
`javax.naming.directory.DirContext` `getSchemaClassDefinition(java.lang.String name)`
`javax.naming.NamingEnumeration` `list(javax.naming.Name name)`
`javax.naming.NamingEnumeration` `list(java.lang.String name)`
`javax.naming.NamingEnumeration` `listBindings(javax.naming.Name name)`
`javax.naming.NamingEnumeration` `listBindings(java.lang.String name)`
`java.lang.Object` `lookup(javax.naming.Name name)`
`java.lang.Object` `lookup(java.lang.String name)`
`java.lang.Object` `lookupLink(javax.naming.Name name)`
`java.lang.Object` `lookupLink(java.lang.String name)`
`void` `modifyAttributes(javax.naming.Name name, int mod_op, javax.naming.directory.Attributes attrs)`
`void` `modifyAttributes(javax.naming.Name name, javax.naming.directory.ModificationItem[] mods)`
`void` `modifyAttributes(java.lang.String name, int mod_op, javax.naming.directory.Attributes attrs)`
`void` `modifyAttributes(java.lang.String name, javax.naming.directory.ModificationItem[] mods)`
`void` `rebind(javax.naming.Name name, java.lang.Object obj)`
`void` `rebind(javax.naming.Name name, java.lang.Object obj, javax.naming.directory.Attributes attrs)`
`void` `rebind(java.lang.String name, java.lang.Object obj)`
`void` `rebind(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs)`
`java.lang.Object` `removeFromEnvironment(java.lang.String propName)`
`void` `rename(javax.naming.Name oldName, javax.naming.Name newName)`
`void` `rename(java.lang.String oldName, java.lang.String newName)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name name, javax.naming.directory.Attributes matchingAttrs)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name name, javax.naming.directory.Attributes matchingAttributes, java.lang.String[] attributesToReturn)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name name, java.lang.String filterExpr, java.lang.Object[] filterArgs, javax.naming.directory.SearchControls cons)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name name, java.lang.String filter, javax.naming.directory.SearchControls cons)`
`javax.naming.NamingEnumeration` `search(java.lang.String name, javax.naming.directory.Attributes matchingAttributes)`
`javax.naming.NamingEnumeration` `search(java.lang.String name, javax.naming.directory.Attributes matchingAttributes, java.lang.String[] attributesToReturn)`
`javax.naming.NamingEnumeration` `search(java.lang.String name, java.lang.String filterExpr, java.lang.Object[] filterArgs, javax.naming.directory.SearchControls cons)`
`javax.naming.NamingEnumeration` `search(java.lang.String name, java.lang.String filter, javax.naming.directory.SearchControls cons)`
`void` `unbind(javax.naming.Name name)`
`void` `unbind(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMyComponents

    protected javax.naming.Name getMyComponents(javax.naming.Name name)
                                         throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Specified by:
    `getNameInNamespace` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### composeName

    public javax.naming.Name composeName(javax.naming.Name name,
                                         javax.naming.Name prefix)
                                  throws javax.naming.NamingException

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### list

    public javax.naming.NamingEnumeration list(javax.naming.Name name)
                                        throws javax.naming.NamingException

  Specified by:
    `list` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### listBindings

    public javax.naming.NamingEnumeration listBindings(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### unbind

    public void unbind(javax.naming.Name name)
                throws javax.naming.NamingException

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rename

    public void rename(javax.naming.Name oldName,
                       javax.naming.Name newName)
                throws javax.naming.NamingException

  Specified by:
    `rename` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.Context createSubcontext(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### destroySubcontext

    public void destroySubcontext(javax.naming.Name name)
                           throws javax.naming.NamingException

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getNameParser

    public javax.naming.NameParser getNameParser(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### composeName

    public java.lang.String composeName(java.lang.String name,
                                        java.lang.String prefix)
                                 throws javax.naming.NamingException

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### addToEnvironment

    public java.lang.Object addToEnvironment(java.lang.String propName,
                                             java.lang.Object propVal)
                                      throws javax.naming.NamingException

  Specified by:
    `addToEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### removeFromEnvironment

    public java.lang.Object removeFromEnvironment(java.lang.String propName)
                                           throws javax.naming.NamingException

  Specified by:
    `removeFromEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getEnvironment

    public java.util.Hashtable getEnvironment()
                                       throws javax.naming.NamingException

  Specified by:
    `getEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### close

    public void close()
               throws javax.naming.NamingException

  Specified by:
    `close` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### list

    public javax.naming.NamingEnumeration list(java.lang.String name)
                                        throws javax.naming.NamingException

  Specified by:
    `list` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name)
                                                throws javax.naming.NamingException

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### lookupLink

    public java.lang.Object lookupLink(javax.naming.Name name)
                                throws javax.naming.NamingException

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getAttributes

    public javax.naming.directory.Attributes getAttributes(javax.naming.Name name)
                                                    throws javax.naming.NamingException

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### getAttributes

    public javax.naming.directory.Attributes getAttributes(javax.naming.Name name,
                                                           java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### modifyAttributes

    public void modifyAttributes(javax.naming.Name name,
                                 int mod_op,
                                 javax.naming.directory.Attributes attrs)
                          throws javax.naming.NamingException

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### modifyAttributes

    public void modifyAttributes(javax.naming.Name name,
                                 javax.naming.directory.ModificationItem[] mods)
                          throws javax.naming.NamingException

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj,
                     javax.naming.directory.Attributes attrs)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj,
                       javax.naming.directory.Attributes attrs)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.directory.DirContext createSubcontext(javax.naming.Name name,
                                                              javax.naming.directory.Attributes attrs)
                                                       throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### getSchema

    public javax.naming.directory.DirContext getSchema(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Specified by:
    `getSchema` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### getSchemaClassDefinition

    public javax.naming.directory.DirContext getSchemaClassDefinition(javax.naming.Name name)
                                                               throws javax.naming.NamingException

  Specified by:
    `getSchemaClassDefinition` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 javax.naming.directory.Attributes matchingAttrs)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 java.lang.String filterExpr,
                                                 java.lang.Object[] filterArgs,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 javax.naming.directory.Attributes matchingAttributes,
                                                 java.lang.String[] attributesToReturn)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 java.lang.String filter,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### unbind

    public void unbind(java.lang.String name)
                throws javax.naming.NamingException

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rename

    public void rename(java.lang.String oldName,
                       java.lang.String newName)
                throws javax.naming.NamingException

  Specified by:
    `rename` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.Context createSubcontext(java.lang.String name)
                                          throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### destroySubcontext

    public void destroySubcontext(java.lang.String name)
                           throws javax.naming.NamingException

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getNameParser

    public javax.naming.NameParser getNameParser(java.lang.String name)
                                          throws javax.naming.NamingException

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### lookupLink

    public java.lang.Object lookupLink(java.lang.String name)
                                throws javax.naming.NamingException

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getAttributes

    public javax.naming.directory.Attributes getAttributes(java.lang.String name)
                                                    throws javax.naming.NamingException

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### getAttributes

    public javax.naming.directory.Attributes getAttributes(java.lang.String name,
                                                           java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### modifyAttributes

    public void modifyAttributes(java.lang.String name,
                                 int mod_op,
                                 javax.naming.directory.Attributes attrs)
                          throws javax.naming.NamingException

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### modifyAttributes

    public void modifyAttributes(java.lang.String name,
                                 javax.naming.directory.ModificationItem[] mods)
                          throws javax.naming.NamingException

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj,
                     javax.naming.directory.Attributes attrs)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj,
                       javax.naming.directory.Attributes attrs)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.directory.DirContext createSubcontext(java.lang.String name,
                                                              javax.naming.directory.Attributes attrs)
                                                       throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### getSchema

    public javax.naming.directory.DirContext getSchema(java.lang.String name)
                                                throws javax.naming.NamingException

  Specified by:
    `getSchema` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### getSchemaClassDefinition

    public javax.naming.directory.DirContext getSchemaClassDefinition(java.lang.String name)
                                                               throws javax.naming.NamingException

  Specified by:
    `getSchemaClassDefinition` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 javax.naming.directory.Attributes matchingAttributes,
                                                 java.lang.String[] attributesToReturn)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 javax.naming.directory.Attributes matchingAttributes)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 java.lang.String filter,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 java.lang.String filterExpr,
                                                 java.lang.Object[] filterArgs,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Throws:
    `javax.naming.NamingException`